Available in VPC
Send Cloud DB for PostgreSQL instance DB server log files to Object Storage.
To send DB server log files to Object Storage, Object Storage buckets for storing and searching DB server log files must be created in advance. For more information, see the Object Storage Guide.
Request
This section describes the request format. The method and URI are as follows:
| Method | URI |
|---|---|
| GET | POST | /vpostgresql/v2/exportDbServerLogToObjectStorage |
This guide is based on the GET method. POST method call tests can be performed through Swagger in the API Gateway service of the NAVER Cloud Platform console.
Request headers
For information about the request headers common to all Cloud DB for PostgreSQL (VPC) APIs, see Cloud DB for PostgreSQL (VPC) request headers.
Request query parameters
You can use the following query parameters with your request:
| Field | Type | Required | Description |
|---|---|---|---|
regionCode |
String | Optional | Region code
|
logType |
String | Required | DB server log file type
|
fileName |
String | Required | DB server log file name
|
bucketName |
String | Required | Name of the Object Storage bucket the DB server log file will be sent to |
folderPath |
String | Optional | Folder path where DB server log files will be sent |
cloudPostgresqlServerInstanceNo |
String | Required | Cloud DB for PostgreSQL server instance number |
responseFormatType |
String | Optional | Format of the response result
|
Request example
The request example is as follows:
curl --location --request GET 'https://ncloud.apigw.ntruss.com/vpostgresql/v2/exportDbServerLogToObjectStorage
?regionCode=KR
&logType=POSTGRESQL_LOG
&fileName=postgresql_000000.log
&bucketName=postgresql-log
&folderPath=cloud-db-for-postgresql/
&cloudPostgresqlServerInstanceNo=****925' \
--header 'x-ncp-apigw-timestamp: {Timestamp}' \
--header 'x-ncp-iam-access-key: {Access Key}' \
--header 'x-ncp-apigw-signature-v2: {API Gateway Signature}'
Response
This section describes the response format.
Response status codes
For information about the response status codes common to all Cloud DB for PostgreSQL (VPC) APIs, see Cloud DB for PostgreSQL (VPC) response status codes.
Response example
The response example is as follows:
- If
responseFormatType=json
{
"exportDbServerLogToObjectStorageResponse": {
"requestId": "4225e9a1-****-****-****-ff33dd9141a7",
"returnCode": "0",
"returnMessage": "success"
}
}
- If
responseFormatType=xml(default)
<?xml version="1.0" encoding="UTF-8"?>
<exportDbServerLogToObjectStorageResponse>
<requestId>4225e9a1-****-****-****-ff33dd9141a7</requestId>
<returnCode>0</returnCode>
<returnMessage>success</returnMessage>
</exportDbServerLogToObjectStorageResponse>